## miller 5.10.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

# Respective MANPATH entries would include /usr/local/share/man or $HOME/man.
INSTALLDIR=/usr/local/share/man/man1
INSTALLHOME=$(HOME)/man/man1

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	echo mkman start
	mkman.rb > mlr.1
	mkman.rb | groff -man -Tascii | col -b > manpage.txt
	echo mkman end
	./genrst
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

# These targets are only for local dev work.
install:
	mkdir -p $(INSTALLDIR)
	cp mlr.1 $(INSTALLDIR)/mlr.1
installhome:
	mkdir -p $(INSTALLHOME)
	cp mlr.1 $(INSTALLHOME)/mlr.1

## miller 3.4.0

=== debian/changelog ===
miller (3.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch to https: VCS URIs (see #810378).
  * Standards-Version 3.9.7, no change required.
  * Enable "bindnow" hardening (PIE doesn't work).

 -- Stephen Kitt <skitt@debian.org>  Wed, 17 Feb 2016 12:19:08 +0100

miller (3.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Wed, 13 Jan 2016 20:19:39 +0100

miller (3.2.2-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 02 Jan 2016 20:43:44 +0100

miller (3.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Wed, 09 Dec 2015 14:44:33 +0100

miller (3.1.1-1) unstable; urgency=medium

  * New upstream release, which should build everywhere. Closes: #805621.

 -- Stephen Kitt <skitt@debian.org>  Mon, 07 Dec 2015 20:16:32 +0100

miller (3.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 05 Dec 2015 20:17:08 +0100

miller (3.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 28 Nov 2015 18:01:32 +0100

miller (2.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Thu, 19 Nov 2015 18:38:25 +0100

miller (2.2.1-1) unstable; urgency=low

  * Initial release. Closes: #800074.

 -- Stephen Kitt <skitt@debian.org>  Sat, 26 Sep 2015 18:50:14 +0200

=== debian/control ===
Source: miller
Section: utils
Priority: optional
Maintainer: Stephen Kitt <skitt@debian.org>
Build-Depends: debhelper (>=9), dh-autoreconf, flex
Standards-Version: 3.9.7
Homepage: https://github.com/johnkerl/miller
Vcs-Git: https://anonscm.debian.org/git/collab-maint/miller.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/miller.git

Package: miller
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: name-indexed data processing tool
 Miller (mlr) allows name-indexed data such as CSV files to be
 processed with functions equivalent to sed, awk, cut, join, sort
 etc. It can convert between formats, preserves headers when sorting
 or reversing, and streams data where possible so its memory
 requirements stay small. It works well with pipes and can feed
 "tail -f".

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@ --with autoreconf

=== debian/watch ===
# You must remove unused comment lines for the released package.
version=3
opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/miller-$1.tar.gz/" \
  https://github.com/johnkerl/miller/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## miller 4.4.0

=== debian/changelog ===
miller (4.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/copyright.

 -- Stephen Kitt <skitt@debian.org>  Sat, 13 Aug 2016 20:34:58 +0200

miller (4.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sun, 24 Jul 2016 18:12:23 +0200

miller (4.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 25 Jun 2016 20:21:27 +0200

miller (4.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sun, 12 Jun 2016 19:53:39 +0200

miller (4.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Clean up debian/control using cme.
  * Standards-Version 3.9.8, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 21 May 2016 23:19:59 +0200

miller (3.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Fix the manpage whatis.

 -- Stephen Kitt <skitt@debian.org>  Mon, 11 Apr 2016 13:18:25 +0200

## miller 4.5.0

=== debian/changelog ===
miller (4.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Thu, 25 Aug 2016 13:37:04 +0200

=== debian/control ===
Source: miller
Maintainer: Stephen Kitt <skitt@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               flex
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/miller.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/miller.git
Homepage: https://github.com/johnkerl/miller

Package: miller
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: name-indexed data processing tool
 Miller (mlr) allows name-indexed data such as CSV files to be
 processed with functions equivalent to sed, awk, cut, join, sort
 etc. It can convert between formats, preserves headers when sorting
 or reversing, and streams data where possible so its memory
 requirements stay small. It works well with pipes and can feed
 "tail -f".

## miller 5.2.2

=== debian/changelog ===
miller (5.2.2-1) unstable; urgency=medium

  * New upstream release, including the integer size fixes.

 -- Stephen Kitt <skitt@debian.org>  Sat, 22 Jul 2017 20:31:21 +0200

miller (5.2.1-3) unstable; urgency=medium

  * Add a further upstream fix for the %d integer size issue.
    Closes: #865317.

 -- Stephen Kitt <skitt@debian.org>  Fri, 23 Jun 2017 20:11:47 +0200

miller (5.2.1-2) unstable; urgency=medium

  * Add upstream fix for %d integer size issue. Closes: #865317; thanks to
    James Cowgill for the detailed analysis!

 -- Stephen Kitt <skitt@debian.org>  Fri, 23 Jun 2017 09:04:14 +0200

miller (5.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Use https: in debian/copyright format.
  * Standards-Version 4.0.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Thu, 22 Jun 2017 08:44:48 +0200

miller (5.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file.
  * Switch to debhelper compatibility level 10.

 -- Stephen Kitt <skitt@debian.org>  Mon, 19 Jun 2017 22:25:42 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Maintainer: Stephen Kitt <skitt@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 10),
                flex
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/miller.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/miller.git
 Homepage: https://github.com/johnkerl/miller

## miller 5.3.0

=== debian/changelog ===
miller (5.3.0-2) unstable; urgency=medium

  * Migrate to Salsa.
  * Standards-Version 4.1.4, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 13 May 2018 18:26:14 +0200

miller (5.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch to debhelper compatibility level 11.
  * Standards-Version 4.1.3, no change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 12 Jan 2018 20:47:33 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Maintainer: Stephen Kitt <skitt@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                flex
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/miller.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/miller.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/debian/miller
+Vcs-Git: https://salsa.debian.org/debian/miller.git
 Homepage: https://github.com/johnkerl/miller
 
 Package: miller

## miller 5.4.0

=== debian/changelog ===
miller (5.4.0-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Stephen Kitt <skitt@debian.org>  Thu, 11 Apr 2019 14:52:39 +0200

miller (5.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Set “Rules-Requires-Root: no”.
  * Standards-Version 4.2.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 20 Oct 2018 21:23:02 +0200

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%miller-$1.tar.gz%" \
    https://github.com/johnkerl/miller/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## miller 5.6.2

=== debian/changelog ===
miller (5.6.2-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 23 Sep 2019 19:51:29 +0200

miller (5.6.0-1) unstable; urgency=medium

  * New upstream release.
  * To allow cross-building, build lemon using the host compiler
    separately.

 -- Stephen Kitt <skitt@debian.org>  Fri, 13 Sep 2019 13:11:22 +0200

miller (5.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch to debhelper compatibility level 12.
  * Standards-Version 4.4.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 01 Sep 2019 16:04:48 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Maintainer: Stephen Kitt <skitt@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                flex
-Standards-Version: 4.1.4
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian/miller
 Vcs-Git: https://salsa.debian.org/debian/miller.git
 Homepage: https://github.com/johnkerl/miller
+Rules-Requires-Root: no
 
 Package: miller
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@

override_dh_auto_configure:
# For cross-building purposes, we need to build lemon first
	./configure
	make -C c/parsing lemon
	dh_auto_configure

## miller 5.9.0

=== debian/changelog ===
miller (5.9.0-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Thu, 27 Aug 2020 08:39:22 +0200

miller (5.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch to debhelper compatibility level 13.

 -- Stephen Kitt <skitt@debian.org>  Tue, 04 Aug 2020 08:48:13 +0200

miller (5.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.5.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 17 Mar 2020 12:36:45 +0100

## miller 5.10.0

=== debian/changelog ===
miller (5.10.0-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Tue, 01 Dec 2020 14:16:26 +0100

miller (5.9.1+dfsg-1) unstable; urgency=medium

  * New upstream release, fixing CVE-2020-15167. Closes: #969467.
  * Adjust debian/copyright and debian/watch to exclude unlicensed Go
    code.

 -- Stephen Kitt <skitt@debian.org>  Thu, 03 Sep 2020 20:49:39 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Maintainer: Stephen Kitt <skitt@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                flex
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/miller
 Vcs-Git: https://salsa.debian.org/debian/miller.git
 Homepage: https://github.com/johnkerl/miller

## miller 6.0.0

=== Makefile ===
PREFIX=/usr/local
INSTALLDIR=$(PREFIX)/bin

# ================================================================
# General-use targets

# This must remain the first target in this file, which is what 'make' with no
# arguments will run.
build:
	go build github.com/johnkerl/miller/cmd/mlr
	@echo "Build complete. The Miller executable is ./mlr (or .\mlr.exe on Windows)."
	@echo "You can use 'make check' to run tests".

# For interactive use, 'mlr regtest' offers more options and transparency.
check: unit-test regression-test
	@echo "Tests complete. You can use 'make install' if you like, optionally preceded"
	@echo "by './configure --prefix=/your/install/path' if you wish to install to"
	@echo "somewhere other than /usr/local/bin -- the default prefix is /usr/local."

# DESTDIR is for package installs; nominally blank when this is run interactively.
# See also https://www.gnu.org/prep/standards/html_node/DESTDIR.html
install: build
	mkdir -p $(DESTDIR)/$(INSTALLDIR)
	cp mlr $(DESTDIR)/$(INSTALLDIR)/
	make -C man install

# ================================================================
# Dev targets

# ----------------------------------------------------------------
# Unit tests (small number)
unit-test ut:
	go test github.com/johnkerl/miller/internal/pkg/...

ut-lib:
	go test github.com/johnkerl/miller/internal/pkg/lib...
ut-scan:
	go test github.com/johnkerl/miller/internal/pkg/scan/...
ut-mlv:
	go test github.com/johnkerl/miller/internal/pkg/mlrval/...
ut-bifs:
	go test github.com/johnkerl/miller/internal/pkg/bifs/...
ut-input:
	go test github.com/johnkerl/miller/internal/pkg/input/...

bench:
	go test -run=nonesuch -bench=. github.com/johnkerl/miller/internal/pkg/...
bench-mlv:
	go test -run=nonesuch -bench=. github.com/johnkerl/miller/internal/pkg/mlrval/...
bench-input:
	go test -run=nonesuch -bench=. github.com/johnkerl/miller/internal/pkg/input/...

# ----------------------------------------------------------------
# Regression tests (large number)
#
# See ./regression_test.go for information on how to get more details
# for debugging.  TL;DR is for CI jobs, we have 'go test -v'; for
# interactive use, instead of 'go test -v' simply use 'mlr regtest
# -vvv' or 'mlr regtest -s 20'. See also internal/pkg/auxents/regtest.
regression-test:
	go test -v regression_test.go

# ----------------------------------------------------------------
# Formatting
# go fmt ./... finds experimental C files which we want to ignore.
fmt:
	-go fmt ./cmd/...
	-go fmt ./internal/pkg/...
	-go fmt ./regression_test.go

# ----------------------------------------------------------------
# Static analysis

# Needs first: go install honnef.co/go/tools/cmd/staticcheck@latest
# See also: https://staticcheck.io
staticcheck:
	staticcheck ./...

# ----------------------------------------------------------------
# For developers before pushing to GitHub.
#
# These steps are done in a particular order:
# go:
# * builds the mlr executable
# man:
# * creates manpage mlr.1 and manpage.txt using mlr from the $PATH
# * copies the latter to docs/src
# docs:
# * turns *.md.in into *.md (live code samples), using mlr from the $PATH
# * note the man/manpage.txt becomes some of the HTML content
# * turns *.md into docs/site HTML and CSS files
dev:
	-make fmt
	make build
	make check
	make -C man build
	make -C docs/src forcebuild
	make -C docs
	@echo DONE

docs:
	make -C docs

# ----------------------------------------------------------------
# Keystroke-savers
it: build check
so: install
sure: build check
mlr:
	go build github.com/johnkerl/miller/cmd/mlr

# ----------------------------------------------------------------
# Please see comments in ./create-release-tarball as well as
# https://miller.readthedocs.io/en/latest/build/#creating-a-new-release-for-developers
release_tarball: build check
	./create-release-tarball

# ================================================================
# Go does its own dependency management, outside of make.
.PHONY: build mlr check unit_test regression_test bench fmt staticcheck dev docs

=== debian/changelog ===
miller (6.0.0-1ubuntu0.1) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update. Note that this package
    was built with golang-1.17.

 -- Allen Huang <allen.huang@canonical.com>  Mon, 18 Nov 2024 23:48:02 +0000

miller (6.0.0-1) unstable; urgency=medium

  * New upstream release, now built using Go.

 -- Stephen Kitt <skitt@debian.org>  Sat, 15 Jan 2022 15:04:49 +0100

miller (5.10.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Stephen Kitt ]
  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Wed, 24 Nov 2021 20:51:51 +0100

miller (5.10.2-1) unstable; urgency=medium

  * Standards-Version 4.6.0, no change required.
  * Upload to unstable.

 -- Stephen Kitt <skitt@debian.org>  Thu, 02 Sep 2021 17:53:21 +0200

miller (5.10.2-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Standards-Version 4.5.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 28 Jun 2021 11:45:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,29 @@
 Source: miller
-Maintainer: Stephen Kitt <skitt@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Stephen Kitt <skitt@debian.org>
 Section: utils
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               flex
-Standards-Version: 4.5.0
+               dh-golang,
+               golang-any,
+               golang-github-kballard-go-shellquote-dev,
+               golang-github-lestrrat-go-strftime-dev,
+               golang-github-mattn-go-isatty-dev,
+               golang-github-pkg-profile-dev,
+               golang-golang-x-term-dev,
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian/miller
 Vcs-Git: https://salsa.debian.org/debian/miller.git
 Homepage: https://github.com/johnkerl/miller
 Rules-Requires-Root: no
+XS-Go-Import-Path: github.com/johnkerl/miller
 
 Package: miller
 Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Built-Using: ${misc:Built-Using}
 Description: name-indexed data processing tool
  Miller (mlr) allows name-indexed data such as CSV files to be
  processed with functions equivalent to sed, awk, cut, join, sort

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
export DH_GOLANG_BUILDPKG := github.com/johnkerl/miller/cmd/mlr

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-source

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/(\da?)[\+\.\-~](?:dfsg|debian|ds|repack)\.?\d*$/$1/,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%miller-$1.tar.gz%" \
    https://github.com/johnkerl/miller/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## miller 6.4.0

=== debian/changelog ===
miller (6.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 22 Aug 2022 22:55:25 +0200

miller (6.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Skip tests if nocheck is present in DEB_BUILD_OPTIONS.
  * Standards-Version 4.6.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 16 Jul 2022 13:54:58 +0200

miller (6.2.0-1) unstable; urgency=medium

  * New upstream release, merging ofmt.patch.

 -- Stephen Kitt <skitt@debian.org>  Mon, 21 Mar 2022 18:19:09 +0100

miller (6.1.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Stephen Kitt <skitt@debian.org>  Thu, 17 Mar 2022 13:39:38 +0100

miller (6.1.0-1~exp2) experimental; urgency=medium

  * Apply upstream patch to produce consistent test output.

 -- Stephen Kitt <skitt@debian.org>  Wed, 16 Mar 2022 21:20:55 +0100

miller (6.1.0-1~exp1) experimental; urgency=medium

  * Rework debian/watch to download release tarballs.
  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Wed, 16 Mar 2022 15:35:59 +0100

miller (6.0.0-2~exp2) experimental; urgency=medium

  * Re-run regression tests on failure.

 -- Stephen Kitt <skitt@debian.org>  Wed, 26 Jan 2022 14:04:41 +0100

miller (6.0.0-2~exp1) experimental; urgency=medium

  * Run the regression tests during the build.
  * Use the regression tests as an autopkgtest.

 -- Stephen Kitt <skitt@debian.org>  Sun, 23 Jan 2022 20:19:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: miller
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Stephen Kitt <skitt@debian.org>
+Maintainer: Stephen Kitt <skitt@debian.org>
 Section: utils
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
+               golang-github-facette-natsort-dev,
+               golang-github-goccmack-gocc-dev,
+               golang-github-johnkerl-lumin-dev,
                golang-github-kballard-go-shellquote-dev,
                golang-github-lestrrat-go-strftime-dev,
                golang-github-mattn-go-isatty-dev,
                golang-github-pkg-profile-dev,
                golang-golang-x-term-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian/miller
 Vcs-Git: https://salsa.debian.org/debian/miller.git
 Homepage: https://github.com/johnkerl/miller

## miller 6.6.0

=== Makefile ===
--- 
+++ 
@@ -29,25 +29,25 @@
 
 # ----------------------------------------------------------------
 # Unit tests (small number)
-unit-test ut:
+unit-test ut: build
 	go test github.com/johnkerl/miller/internal/pkg/...
 
-ut-lib:
+ut-lib:build
 	go test github.com/johnkerl/miller/internal/pkg/lib...
-ut-scan:
+ut-scan:build
 	go test github.com/johnkerl/miller/internal/pkg/scan/...
-ut-mlv:
+ut-mlv:build
 	go test github.com/johnkerl/miller/internal/pkg/mlrval/...
-ut-bifs:
+ut-bifs:build
 	go test github.com/johnkerl/miller/internal/pkg/bifs/...
-ut-input:
+ut-input:build
 	go test github.com/johnkerl/miller/internal/pkg/input/...
 
-bench:
+bench:build
 	go test -run=nonesuch -bench=. github.com/johnkerl/miller/internal/pkg/...
-bench-mlv:
+bench-mlv:build
 	go test -run=nonesuch -bench=. github.com/johnkerl/miller/internal/pkg/mlrval/...
-bench-input:
+bench-input:build
 	go test -run=nonesuch -bench=. github.com/johnkerl/miller/internal/pkg/input/...
 
 # ----------------------------------------------------------------
@@ -57,7 +57,7 @@
 # for debugging.  TL;DR is for CI jobs, we have 'go test -v'; for
 # interactive use, instead of 'go test -v' simply use 'mlr regtest
 # -vvv' or 'mlr regtest -s 20'. See also internal/pkg/auxents/regtest.
-regression-test:
+regression-test: build
 	go test -v regression_test.go
 
 # ----------------------------------------------------------------
@@ -103,9 +103,12 @@
 
 # ----------------------------------------------------------------
 # Keystroke-savers
+
+sure: build check
+
 it: build check
 so: install
-sure: build check
+
 mlr:
 	go build github.com/johnkerl/miller/cmd/mlr

=== debian/changelog ===
miller (6.6.0-2) unstable; urgency=medium

  * Build-depend on tzdata, which is needed for timezone-based tests.
    Closes: #1027377.

 -- Stephen Kitt <skitt@debian.org>  Sat, 07 Jan 2023 10:41:52 +0100

miller (6.6.0-1) unstable; urgency=medium

  * New upstream release, fixing empty record handling.
    Closes: #1022740.
  * Standards-Version 4.6.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 02 Jan 2023 12:38:12 +0100

miller (6.5.0-1) unstable; urgency=medium

  * New upstream release, merging test-mlr-exename.patch.

 -- Stephen Kitt <skitt@debian.org>  Wed, 30 Nov 2022 23:01:13 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,8 @@
                golang-github-mattn-go-isatty-dev,
                golang-github-pkg-profile-dev,
                golang-golang-x-term-dev,
-Standards-Version: 4.6.1
+               tzdata,
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/miller
 Vcs-Git: https://salsa.debian.org/debian/miller.git
 Homepage: https://github.com/johnkerl/miller

=== debian/watch ===
version=4
    https://github.com/johnkerl/miller/releases \
    (?:.*?/)?@PACKAGE@-(\d[\d.]*)\.tar\.gz debian uupdate

## miller 6.8.0

=== Makefile ===
--- 
+++ 
@@ -56,14 +56,14 @@
 # See ./regression_test.go for information on how to get more details
 # for debugging.  TL;DR is for CI jobs, we have 'go test -v'; for
 # interactive use, instead of 'go test -v' simply use 'mlr regtest
-# -vvv' or 'mlr regtest -s 20'. See also internal/pkg/auxents/regtest.
+# -vvv' or 'mlr regtest -s 20'. See also internal/pkg/terminals/regtest.
 regression-test: build
 	go test -v regression_test.go
 
 # ----------------------------------------------------------------
 # Formatting
 # go fmt ./... finds experimental C files which we want to ignore.
-fmt:
+fmt format:
 	-go fmt ./cmd/...
 	-go fmt ./internal/pkg/...
 	-go fmt ./regression_test.go

=== debian/changelog ===
miller (6.8.0-1ubuntu0.1) mantic-security; urgency=medium

  * No change rebuild due to golang-1.20, golang-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 23 Jan 2024 10:16:16 +0530

miller (6.8.0-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:16:51 +1200

miller (6.8.0-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Fri, 16 Jun 2023 17:05:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: miller
-Maintainer: Stephen Kitt <skitt@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Stephen Kitt <skitt@debian.org>
 Section: utils
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -13,6 +14,7 @@
                golang-github-mattn-go-isatty-dev,
                golang-github-pkg-profile-dev,
                golang-golang-x-term-dev,
+               golang-golang-x-text-dev,
                tzdata,
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/miller

## miller 6.9.0

=== debian/changelog ===
miller (6.9.0-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 02 Sep 2023 19:02:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: miller
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Stephen Kitt <skitt@debian.org>
+Maintainer: Stephen Kitt <skitt@debian.org>
 Section: utils
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -10,6 +9,7 @@
                golang-github-goccmack-gocc-dev,
                golang-github-johnkerl-lumin-dev,
                golang-github-kballard-go-shellquote-dev,
+               golang-github-klauspost-compress-dev,
                golang-github-lestrrat-go-strftime-dev,
                golang-github-mattn-go-isatty-dev,
                golang-github-pkg-profile-dev,

## miller 6.11.0

=== Makefile ===
--- 
+++ 
@@ -10,6 +10,9 @@
 	go build github.com/johnkerl/miller/cmd/mlr
 	@echo "Build complete. The Miller executable is ./mlr (or .\mlr.exe on Windows)."
 	@echo "You can use 'make check' to run tests".
+
+quiet:
+	@go build github.com/johnkerl/miller/cmd/mlr
 
 # For interactive use, 'mlr regtest' offers more options and transparency.
 check: unit-test regression-test
@@ -30,25 +33,25 @@
 # ----------------------------------------------------------------
 # Unit tests (small number)
 unit-test ut: build
-	go test github.com/johnkerl/miller/internal/pkg/...
+	go test github.com/johnkerl/miller/pkg/...
 
 ut-lib:build
-	go test github.com/johnkerl/miller/internal/pkg/lib...
+	go test github.com/johnkerl/miller/pkg/lib...
 ut-scan:build
-	go test github.com/johnkerl/miller/internal/pkg/scan/...
+	go test github.com/johnkerl/miller/pkg/scan/...
 ut-mlv:build
-	go test github.com/johnkerl/miller/internal/pkg/mlrval/...
+	go test github.com/johnkerl/miller/pkg/mlrval/...
 ut-bifs:build
-	go test github.com/johnkerl/miller/internal/pkg/bifs/...
+	go test github.com/johnkerl/miller/pkg/bifs/...
 ut-input:build
-	go test github.com/johnkerl/miller/internal/pkg/input/...
+	go test github.com/johnkerl/miller/pkg/input/...
 
 bench:build
-	go test -run=nonesuch -bench=. github.com/johnkerl/miller/internal/pkg/...
+	go test -run=nonesuch -bench=. github.com/johnkerl/miller/pkg/...
 bench-mlv:build
-	go test -run=nonesuch -bench=. github.com/johnkerl/miller/internal/pkg/mlrval/...
+	go test -run=nonesuch -bench=. github.com/johnkerl/miller/pkg/mlrval/...
 bench-input:build
-	go test -run=nonesuch -bench=. github.com/johnkerl/miller/internal/pkg/input/...
+	go test -run=nonesuch -bench=. github.com/johnkerl/miller/pkg/input/...
 
 # ----------------------------------------------------------------
 # Regression tests (large number)
@@ -56,7 +59,7 @@
 # See ./regression_test.go for information on how to get more details
 # for debugging.  TL;DR is for CI jobs, we have 'go test -v'; for
 # interactive use, instead of 'go test -v' simply use 'mlr regtest
-# -vvv' or 'mlr regtest -s 20'. See also internal/pkg/terminals/regtest.
+# -vvv' or 'mlr regtest -s 20'. See also pkg/terminals/regtest.
 regression-test: build
 	go test -v regression_test.go
 
@@ -65,7 +68,7 @@
 # go fmt ./... finds experimental C files which we want to ignore.
 fmt format:
 	-go fmt ./cmd/...
-	-go fmt ./internal/pkg/...
+	-go fmt ./pkg/...
 	-go fmt ./regression_test.go
 
 # ----------------------------------------------------------------
@@ -98,7 +101,8 @@
 	make -C docs
 	@echo DONE
 
-docs:
+docs: build
+	make -C docs/src forcebuild
 	make -C docs
 
 # ----------------------------------------------------------------

=== debian/changelog ===
miller (6.11.0-1) unstable; urgency=medium

  * Update debian/watch to track assets using the GitHub API (there are
    too many assets to reliably find the upstream source archive
    otherwise).
  * New upstream release.
  * Switch to “Static-Built-Using” as per the Debian Go policy.

 -- Stephen Kitt <skitt@debian.org>  Thu, 25 Jan 2024 08:08:39 +0100

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Built-Using: ${misc:Built-Using}
+Static-Built-Using: ${misc:Static-Built-Using}
 Description: name-indexed data processing tool
  Miller (mlr) allows name-indexed data such as CSV files to be
  processed with functions equivalent to sed, awk, cut, join, sort

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,8 @@
 
 override_dh_auto_install:
 	dh_auto_install -- --no-source
+
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	_build/bin/mlr regtest -S
+endif

## miller 6.12.0

=== debian/changelog ===
miller (6.12.0-1ubuntu0.1) oracular-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 27 Jun 2025 15:56:17 +1000

miller (6.12.0-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sun, 17 Mar 2024 20:12:46 +0100

## miller 6.13.0

=== debian/changelog ===
miller (6.13.0-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.7.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 06 Oct 2024 21:23:26 +0200

=== debian/control ===
--- 
+++ 
@@ -16,12 +16,12 @@
                golang-golang-x-term-dev,
                golang-golang-x-text-dev,
                tzdata,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/miller
 Vcs-Git: https://salsa.debian.org/debian/miller.git
 Homepage: https://github.com/johnkerl/miller
 Rules-Requires-Root: no
-XS-Go-Import-Path: github.com/johnkerl/miller
+XS-Go-Import-Path: github.com/johnkerl/miller/v6
 
 Package: miller
 Architecture: any

## miller 6.15.0

=== Makefile ===
--- 
+++ 
@@ -7,12 +7,12 @@
 # This must remain the first target in this file, which is what 'make' with no
 # arguments will run.
 build:
-	go build github.com/johnkerl/miller/cmd/mlr
+	go build github.com/johnkerl/miller/v6/cmd/mlr
 	@echo "Build complete. The Miller executable is ./mlr (or .\mlr.exe on Windows)."
 	@echo "You can use 'make check' to run tests".
 
 quiet:
-	@go build github.com/johnkerl/miller/cmd/mlr
+	@go build github.com/johnkerl/miller/v6/cmd/mlr
 
 # For interactive use, 'mlr regtest' offers more options and transparency.
 check: unit-test regression-test
@@ -33,25 +33,25 @@
 # ----------------------------------------------------------------
 # Unit tests (small number)
 unit-test ut: build
-	go test github.com/johnkerl/miller/pkg/...
+	go test github.com/johnkerl/miller/v6/pkg/...
 
 ut-lib:build
-	go test github.com/johnkerl/miller/pkg/lib...
+	go test github.com/johnkerl/miller/v6/pkg/lib...
 ut-scan:build
-	go test github.com/johnkerl/miller/pkg/scan/...
+	go test github.com/johnkerl/miller/v6/pkg/scan/...
 ut-mlv:build
-	go test github.com/johnkerl/miller/pkg/mlrval/...
+	go test github.com/johnkerl/miller/v6/pkg/mlrval/...
 ut-bifs:build
-	go test github.com/johnkerl/miller/pkg/bifs/...
+	go test github.com/johnkerl/miller/v6/pkg/bifs/...
 ut-input:build
-	go test github.com/johnkerl/miller/pkg/input/...
+	go test github.com/johnkerl/miller/v6/pkg/input/...
 
 bench:build
-	go test -run=nonesuch -bench=. github.com/johnkerl/miller/pkg/...
+	go test -run=nonesuch -bench=. github.com/johnkerl/miller/v6/pkg/...
 bench-mlv:build
-	go test -run=nonesuch -bench=. github.com/johnkerl/miller/pkg/mlrval/...
+	go test -run=nonesuch -bench=. github.com/johnkerl/miller/v6/pkg/mlrval/...
 bench-input:build
-	go test -run=nonesuch -bench=. github.com/johnkerl/miller/pkg/input/...
+	go test -run=nonesuch -bench=. github.com/johnkerl/miller/v6/pkg/input/...
 
 # ----------------------------------------------------------------
 # Regression tests (large number)
@@ -114,7 +114,7 @@
 so: install
 
 mlr:
-	go build github.com/johnkerl/miller/cmd/mlr
+	go build github.com/johnkerl/miller/v6/cmd/mlr
 
 # ----------------------------------------------------------------
 # Please see comments in ./create-release-tarball as well as

=== debian/changelog ===
miller (6.15.0-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.7.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 28 Sep 2025 21:26:16 +0200

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,21 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
-               golang-any,
+               golang-any (>= 2:1.24~),
                golang-github-facette-natsort-dev,
                golang-github-goccmack-gocc-dev,
                golang-github-johnkerl-lumin-dev,
                golang-github-kballard-go-shellquote-dev,
                golang-github-klauspost-compress-dev,
+               golang-github-kshedden-dstream-dev,
+               golang-github-kshedden-statmodel-dev,
                golang-github-lestrrat-go-strftime-dev,
                golang-github-mattn-go-isatty-dev,
                golang-github-pkg-profile-dev,
                golang-golang-x-term-dev,
                golang-golang-x-text-dev,
                tzdata,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/miller
 Vcs-Git: https://salsa.debian.org/debian/miller.git
 Homepage: https://github.com/johnkerl/miller

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
-export DH_GOLANG_BUILDPKG := github.com/johnkerl/miller/cmd/mlr
+export DH_GOLANG_BUILDPKG := github.com/johnkerl/miller/v6/cmd/mlr
 
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

=== debian/tests/control ===
Tests: regtest
Depends: miller

=== debian/watch ===
version=4
opts="searchmode=plain" \
  https://api.github.com/repos/johnkerl/miller/releases \
  https://github.com/johnkerl/@PACKAGE@/releases/download/v\d[\d.]*/@PACKAGE@-(\d[\d.]*)\.tar\.gz debian uupdate

## miller 6.16.0

=== debian/changelog ===
miller (6.16.0-1) unstable; urgency=medium

  * New upstream release, merging any-go-1.24.patch.
  * Drop “Rules-Requires-Root: no” since it’s now the default.
  * Drop “Priority: optional” since it’s now the default.
  * Standards-Version 4.7.3, no further change required.
  * Update debian/watch to version 5.

 -- Stephen Kitt <skitt@debian.org>  Mon, 12 Jan 2026 21:03:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: miller
 Maintainer: Stephen Kitt <skitt@debian.org>
 Section: utils
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any (>= 2:1.24~),
@@ -18,11 +17,10 @@
                golang-golang-x-term-dev,
                golang-golang-x-text-dev,
                tzdata,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debian/miller
 Vcs-Git: https://salsa.debian.org/debian/miller.git
 Homepage: https://github.com/johnkerl/miller
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/johnkerl/miller/v6
 
 Package: miller

=== debian/watch ===
Version: 5

Source: https://api.github.com/repos/johnkerl/miller/releases
Matching-Pattern: https://github.com/johnkerl/@PACKAGE@/releases/download/v\d[\d.]*/@PACKAGE@-(\d[\d.]*)\.tar\.gz
Searchmode: plain

## miller 6.17.0

=== Makefile ===
--- 
+++ 
@@ -92,18 +92,19 @@
 # * turns *.md.in into *.md (live code samples), using mlr from the $PATH
 # * note the man/manpage.txt becomes some of the HTML content
 # * turns *.md into docs/site HTML and CSS files
-dev:
-	-make fmt
-	make build
+dev: fmt build
 	make check
 	make -C man build
 	make -C docs/src forcebuild
 	make -C docs
 	@echo DONE
 
-docs: build
+docs: fmt build
 	make -C docs/src forcebuild
 	make -C docs
+
+man: fmt build
+	make -C man build
 
 # ----------------------------------------------------------------
 # Keystroke-savers
@@ -119,9 +120,9 @@
 # ----------------------------------------------------------------
 # Please see comments in ./create-release-tarball as well as
 # https://miller.readthedocs.io/en/latest/build/#creating-a-new-release-for-developers
-release_tarball: build check
+release_tarball release-tarball: build check
 	./create-release-tarball
 
 # ================================================================
 # Go does its own dependency management, outside of make.
-.PHONY: build mlr check unit_test regression_test bench fmt staticcheck dev docs
+.PHONY: build mlr check unit_test regression_test bench fmt staticcheck dev docs man

=== debian/changelog ===
miller (6.17.0-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sun, 22 Feb 2026 17:15:33 +0100

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,8 @@
                golang-github-pkg-profile-dev,
                golang-golang-x-term-dev,
                golang-golang-x-text-dev,
+               golang-gopkg-yaml.v3-dev,
+               golang-pault-go-debian-dev,
                tzdata,
 Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debian/miller
